Get Frame Analysis
GET
/api/v1/frame-analyses/{run_id}Authorization
AuthorizationBearer token · headerrequiredor
AuthorizationOAuth2 access token · headerrequiredPath parameters
run_idstringrequiredResponses
200Successful Response
successbooleandefault: true
dataFrameAnalysisRunDetail | anyShow propertiesHide properties
Any of:
FrameAnalysisRunDetail
idstringrequiredweekstringrequiredweek_startstring<date>requiredweek_endstring<date>requiredmedia_sourcestring | anyShow propertiesHide properties
Any of:
string
stringany
anystatusFrameAnalysisRunStatusrequiredAllowed:
queuedrunningdonefailedcreated_atstring<date-time>requiredcreativesFrameAnalysisCreativeOut[]requiredShow propertiesHide properties
Array of
FrameAnalysisCreativeOutcreative_idstringrequirednamestringrequiredproduct_idstringrequiredcategoryCreativeCategoryrequiredAllowed:
topnewtierstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anymediaCreativeMediaOut | anyrequiredShow propertiesHide properties
Any of:
CreativeMediaOut
kindstringrequiredAllowed:
videostaticframe_urlsstring[] | anyShow propertiesHide properties
Any of:
string[]
Array of
stringstringany
anyimage_urlstring | anyShow propertiesHide properties
Any of:
string
stringany
anyvideo_urlstring | anyShow propertiesHide properties
Any of:
string
stringany
anypreview_urlstring | anyShow propertiesHide properties
Any of:
string
stringany
anyduration_msinteger | anyShow propertiesHide properties
Any of:
integer
integerany
anywidthinteger | anyShow propertiesHide properties
Any of:
integer
integerany
anyheightinteger | anyShow propertiesHide properties
Any of:
integer
integerany
anyanalyzingbooleandefault: false
any
anyplatformsPlatformMetrics[]requiredShow propertiesHide properties
Array of
PlatformMetricsplatformstringrequiredmetricsMetricSnapshot[]Show propertiesHide properties
Array of
MetricSnapshotkeystringrequiredlabelstringrequiredunitMetricUnitrequiredAllowed:
usdpercentratiocountcurrentnumberrequiredpreviousnumberrequiredup_is_goodbooleandefault: true
varied_fieldsVariedField[]requiredShow propertiesHide properties
Array of
VariedFieldlabelstringrequiredvaluestringrequiredcontent_summarystring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anyperformance_summarystring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anyideasIdea[]requiredShow propertiesHide properties
Array of
Ideaidstringtextstringrequireddonebooleandefault: false
created_atstring<date-time>task_idstringrequiredtask_namestring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anytask_owner_idstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anyassignee_idstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anycreated_atstring<date-time>requiredincludedUserIncludesPeople referenced by the payload, keyed by id — same contract as `CreativeIncludes`.
Comment authors, mentions and reactors on the comments feed, transition actors on the
history one.
Show propertiesHide properties
usersobjectany
anymessagestring | anyShow propertiesHide properties
Any of:
string
stringany
anyerrorsstring[] | anyShow propertiesHide properties
Any of:
string[]
Array of
stringstringany
any422Validation Error
detailValidationError[]Show propertiesHide properties
Array of
ValidationErrorlocstring | integer[]requiredShow propertiesHide properties
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequiredtypestringrequiredinputanyctxobjectRequest
curl -X GET "/api/v1/frame-analyses/string" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("/api/v1/frame-analyses/string", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"/api/v1/frame-analyses/string",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
{
"success": true,
"data": {
"id": "string",
"week": "string",
"week_start": "2019-08-24",
"week_end": "2019-08-24",
"media_source": "string",
"status": "queued",
"created_at": "2019-08-24T14:15:22Z",
"creatives": [
{
"creative_id": "string",
"name": "string",
"product_id": "string",
"category": "top",
"tier": "string",
"media": {
"kind": "video",
"frame_urls": [
"string"
],
"image_url": "string",
"video_url": "string",
"preview_url": "string",
"duration_ms": 0,
"width": 0,
"height": 0,
"analyzing": false
},
"platforms": [
{
"platform": "string",
"metrics": [
{
"key": "string",
"label": "string",
"unit": "usd",
"current": 0,
"previous": 0,
"up_is_good": true
}
]
}
],
"varied_fields": [
{
"label": "string",
"value": "string"
}
],
"content_summary": "string",
"performance_summary": "string",
"ideas": [
{
"id": "string",
"text": "string",
"done": false,
"created_at": "2019-08-24T14:15:22Z"
}
],
"task_id": "string",
"task_name": "string",
"task_owner_id": "string",
"assignee_id": "string",
"created_at": "2019-08-24T14:15:22Z"
}
],
"included": {
"users": {
"property1": {
"id": "string",
"name": "string",
"email": "string",
"image_url": "string"
},
"property2": {
"id": "string",
"name": "string",
"email": "string",
"image_url": "string"
}
}
}
},
"message": "string",
"errors": [
"string"
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}